<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.search.StringSearchFilter&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.s.StringSearchFilter(<a href="kiwi.ui.search.SearchFilter.html">SearchFilter</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.search.html">search</a></span>
      
      <a href="classIndex.html#kiwi.ui.search.StringSearchFilter">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div><ul>
  <li>
    a label
  </li>
  <li>
    an entry
  </li>
</ul>
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Instance Variables</td><td class="fieldArg">entry</td><td>the entry
</td></tr><tr><td></td><td class="fieldArg">label</td><td>the label
</td></tr></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id279">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.search.StringSearchFilter.html#__init__">__init__</a></td>
    <td><span>Create a new StringSearchFilter object.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.search.StringSearchFilter.html#get_state">get_state</a></td>
    <td><span>Implement this in a subclass
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.search.StringSearchFilter.html#set_label">set_label</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.ui.search.SearchFilter.html">SearchFilter</a>:
        </p>
        <table class="children sortable" id="id280">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.search.SearchFilter.html#do_set_property">do_set_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.search.SearchFilter.html#do_get_property">do_get_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.search.StringSearchFilter.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, label, chars=0):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.search.SearchFilter.html#__init__">kiwi.ui.search.SearchFilter.__init__</a></div>
          <div>Create a new StringSearchFilter object.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">label</td><td>label of the search filter
</td></tr><tr><td></td><td class="fieldArg">chars</td><td>maximum number of chars used by the search entry
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.search.StringSearchFilter.get_state"></a>
        <a name="get_state"></a>
        <div class="functionHeader">
        
        def get_state(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.search.SearchFilter.html#get_state">kiwi.ui.search.SearchFilter.get_state</a></div>
          <div>Implement this in a subclass
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.search.StringSearchFilter.set_label"></a>
        <a name="set_label"></a>
        <div class="functionHeader">
        
        def set_label(self, label):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.search.SearchFilter.html#set_label">kiwi.ui.search.SearchFilter.set_label</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>